@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200;300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000&family=Oswald:wght@200;300;400;500;600;700&display=swap');

/* Estilos Flexíveis Divs */
.divprincipal {
  @include flexbox();
}

.divprincipal {
	display: flex;  
	flex-flow: row wrap;
	font-weight: bold;
	text-align: center;
	background: DarkBlue;	
	flex-direction: row;
	justify-content: center;
	align-items: center;
}

.divprincipal > * {
	padding: 1px;
	flex: 1 100%;
}

.divprincipal h2 {
	color: white;
	font-weight:bold;
	width: 100%;
	margin-top: 15px;
}

.divprincipal nav {
	max-width: 1200px;	
}

.item {
  @include flex(1 200px);
  @include order(2);
}

.navegacao {
	display: flex;
	flex-flow: row wrap;	
	justify-content: flex-end;
	list-style: none;
	margin: 0;
	padding: 0 15px;
	background: DarkBlue;
}

.navegacao a {
	text-decoration: none;
	display: block;
	padding: 1em;
	color: white;
}

.navegacao a:hover {
	/*color: Navy;*/
}

.itensmenu,
.itenssubmenu {
	list-style-type: none;
}

.itensmenu li a {
		display: block;
		padding: 5px 5px;
	}

.itensmenu li.itenssubitem a {
		padding: 15px;
	}

.item {
	padding: 10px;
	order: 3;		
	text-align: center;
}

.item:not(.button) a:hover,
.item a:hover::after {
	color: #ccc;
}

@media all and (min-width: 960px) {
	
	.item {
		order: 1;
		position: relative;
		display: block;
		width: auto;
	}
	
}

@media all and (min-width: 700px) {
	
	.itensmenu {
		/*display: flex;
		flex-wrap: wrap;*/
		justify-content: center;
		/*align-items: center;*/
	}
	
}

@media all and (max-width: 500px) {
	
	.navegacao {		
		flex-direction: column;
	}
	
	.itensmenu {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;
		align-items: center;
	}
	
	.itensmenu li a {
		display: block;
		padding: 15px 5px;
	}
	
	.item {
		order: 3;
		width: 100%;
		text-align: center;
		display: none;
	}
	
}